automobile

## Class Compteur

- java.lang.Object
- - automobile.Compteur

-     public class Compteur
      extends java.lang.Object

  Gestion d'un compteur pour un véhicule Contient un totalisateur et un compeur partiel, réinitialisé tous les 1000 Km
  Author:
    Adrien Poupa

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Compteur()` Constructeur par défaut Initialise les attributs compteurs totalisateur et partiel à 0

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int kilometers)` Insertion des kilomètres passés en paramètres dans les deux compteurs
    `int` | `getPartiel()` Getter du compteur partiel
    `int` | `getTotalisateur()` Getter du totalisateur
    `void` | `resetPartiel()` Réinitialise le compteur partiel à 0
    `void` | `setPartiel(int kilometers)` Setter intelligent du compteur partiel On ajoute le nombre de kilomètres donnés en paramètre si le total du partiel actuel et du nouveau nombre kilomètres donné est inférieur à la constante de reset de 1000KM Sinon, on calcule le reste et on ajoute ce dernier.
    `java.lang.String` | `toString()` Surcharge de toString

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Compteur

          public Compteur()

      Constructeur par défaut Initialise les attributs compteurs totalisateur et partiel à 0

  - ### Method Detail

    - #### getTotalisateur

          public int getTotalisateur()

      Getter du totalisateur
      Returns:
        totalisateur, nombre de kilomètres parcourus depuis l'instanciation

    - #### getPartiel

          public int getPartiel()

      Getter du compteur partiel
      Returns:
        partiel, nombre de kilomètres (inferieur à 1000) dans le compteur partiel

    - #### setPartiel

          public void setPartiel(int kilometers)

      Setter intelligent du compteur partiel On ajoute le nombre de kilomètres donnés en paramètre si le total du partiel actuel et du nouveau nombre kilomètres donné est inférieur à la constante de reset de 1000KM Sinon, on calcule le reste et on ajoute ce dernier.
      Parameters:
        `kilometers,` - nombre de kilomètres à ajouter dans le compteur partiel

    - #### resetPartiel

          public void resetPartiel()

      Réinitialise le compteur partiel à 0

    - #### add

          public void add(int kilometers)

      Insertion des kilomètres passés en paramètres dans les deux compteurs
      Parameters:
        `kilometers` - kilomètres à ajouter

    - #### toString

          public java.lang.String toString()

      Surcharge de toString
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Compteur = [Totalisateur= X | Partiel= X];